/**
 * PickupViewpickupviewpanel 部件模型
 *
 * @export
 * @class PickupViewpickupviewpanelModel
 */
export default class PickupViewpickupviewpanelModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof PickupViewpickupviewpanelModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'remark',
      },
      {
        name: 'emitempusename',
      },
      {
        name: 'itempuseinfo',
      },
      {
        name: 'deltype',
      },
      {
        name: 'opinion',
      },
      {
        name: 'stocknum',
      },
      {
        name: 'approknum',
      },
      {
        name: 'equips',
      },
      {
        name: 'psum',
      },
      {
        name: 'orgid',
      },
      {
        name: 'price',
      },
      {
        name: 'batcode',
      },
      {
        name: 'bz',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'amount',
      },
      {
        name: 'wfstate',
      },
      {
        name: 'sapreason1',
      },
      {
        name: 'pusestate',
      },
      {
        name: 'updateman',
      },
      {
        name: 'apprdesc',
      },
      {
        name: 'sapcbzx',
      },
      {
        name: 'sapllyt',
      },
      {
        name: 'numdiff',
      },
      {
        name: 'asum',
      },
      {
        name: 'enable',
      },
      {
        name: 'sap',
      },
      {
        name: 'sdate',
      },
      {
        name: 'life2',
      },
      {
        name: 'emitempuse',
        prop: 'emitempuseid',
      },
      {
        name: 'stock2num',
      },
      {
        name: 'wfinstanceid',
      },
      {
        name: 'useto',
      },
      {
        name: 'wfstep',
      },
      {
        name: 'pusetype',
      },
      {
        name: 'sapcontrol',
      },
      {
        name: 'adate',
      },
      {
        name: 'description',
      },
      {
        name: 'apprdate',
      },
      {
        name: 'createman',
      },
      {
        name: 'createdate',
      },
      {
        name: 'apprempname',
      },
      {
        name: 'life',
      },
      {
        name: 'storename',
      },
      {
        name: 'aempname',
      },
      {
        name: 'unitname',
      },
      {
        name: 'objname',
      },
      {
        name: 'unitid',
      },
      {
        name: 'itembtypeid',
      },
      {
        name: 'sempname',
      },
      {
        name: 'empname',
      },
      {
        name: 'teamname',
      },
      {
        name: 'itemgroup',
      },
      {
        name: 'sdept',
      },
      {
        name: 'labservicename',
      },
      {
        name: 'deptname',
      },
      {
        name: 'avgprice',
      },
      {
        name: 'itemname',
      },
      {
        name: 'mservicename',
      },
      {
        name: 'storepartname',
      },
      {
        name: 'equipname',
      },
      {
        name: 'purplanname',
      },
      {
        name: 'woname',
      },
      {
        name: 'storeid',
      },
      {
        name: 'empid',
      },
      {
        name: 'aempid',
      },
      {
        name: 'itemid',
      },
      {
        name: 'teamid',
      },
      {
        name: 'equipid',
      },
      {
        name: 'labserviceid',
      },
      {
        name: 'apprempid',
      },
      {
        name: 'sempid',
      },
      {
        name: 'woid',
      },
      {
        name: 'mserviceid',
      },
      {
        name: 'objid',
      },
      {
        name: 'purplanid',
      },
      {
        name: 'deptid',
      },
      {
        name: 'storepartid',
      },
    ]
  }


}